%define name pyxmms
%define version 2.06
%define release 1mdk

Summary: Python bindings for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://people.via.ecp.fr/~flo/2002/PyXMMS/dist/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
URL: http://www.via.ecp.fr/~flo/	
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
BuildRequires: libxmms-devel
Requires: xmms

%description
This is PyXMMS, a Python interface to XMMS (the X MultiMedia System), an audio
(and video) player running on Unix platforms.
 
PyXMMS is a set of Python bindings for all the xmms_remote_* functions
accessible through the libxmms library (which comes with XMMS), plus a few
useful higher-level functions.

%prep
%setup -q

%build
python setup.py build
python ./build-documentation.py
%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%_prefix --root=%buildroot -O2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS doc/*
%_libdir/python%pyver/site-packages/*xmms*

%changelog
* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 2.06-1mdk
- drop patch
- New release 2.06

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 2.04-2mdk
- fix build on x86_64

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 2.04-1mdk
- source URL
- new version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.02-2mdk
- Rebuild for new python

* Thu Feb 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- add the docs
- drop patch
- new version

* Sun Sep 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.06-1mdk
- initial package
